> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simmer.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# List Alerts

> List user's alerts.

By default only returns active (non-triggered) alerts.
Set include_triggered=true to include triggered alerts.



## OpenAPI

````yaml /openapi.json get /api/sdk/alerts
openapi: 3.1.0
info:
  title: Simmer API
  description: Agent-native trading infrastructure for prediction markets.
  version: 1.0.0
servers:
  - url: https://api.simmer.markets
security: []
paths:
  /api/sdk/alerts:
    get:
      tags:
        - sdk-alerts
      summary: List Alerts
      description: |-
        List user's alerts.

        By default only returns active (non-triggered) alerts.
        Set include_triggered=true to include triggered alerts.
      operationId: api_list_alerts_api_sdk_alerts_get
      parameters:
        - name: include_triggered
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Triggered
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlertListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AlertListResponse:
      properties:
        alerts:
          items:
            $ref: '#/components/schemas/AlertResponse'
          type: array
          title: Alerts
        count:
          type: integer
          title: Count
      type: object
      required:
        - alerts
        - count
      title: AlertListResponse
      description: Response listing alerts.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AlertResponse:
      properties:
        id:
          type: string
          title: Id
        market_id:
          type: string
          title: Market Id
        market_question:
          anyOf:
            - type: string
            - type: 'null'
          title: Market Question
        side:
          type: string
          title: Side
        condition:
          type: string
          title: Condition
        threshold:
          type: number
          title: Threshold
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
        triggered_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Triggered At
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - market_id
        - side
        - condition
        - threshold
        - created_at
      title: AlertResponse
      description: Response for a single alert.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````